Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113147 - ck: FTBFS in Fedora rawhide/f37
Summary: ck: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ck
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filip Januš
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:19 UTC by Fedora Release Engineering
Modified: 2023-07-17 10:19 UTC (History)
4 users (show)

Fixed In Version: ck-0.7.1-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-13 01:30:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:19 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:19 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:19 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:19:43 UTC
ck failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89760320


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix ck at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
ck will be orphaned. Before branching of Fedora 38,
ck will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:19:46 UTC
Created attachment 1900886 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-01 23:19:47 UTC
Created attachment 1900887 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:19:48 UTC
Created attachment 1900888 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:24:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Petr Menšík 2023-06-30 13:31:57 UTC
There seems to be successful build for epel9.

I had met few failures:
- https://koji.fedoraproject.org/koji/taskinfo?taskID=102777838

But also some successful builds:
- https://koji.fedoraproject.org/koji/taskinfo?taskID=102777858
- https://koji.fedoraproject.org/koji/taskinfo?taskID=102777909

It seems to be a bit unreliable in testing, but with few retries it should be able to pass.

Can you please merge current rawhide to f38 and try to build both branches successfully?

Comment 6 Petr Menšík 2023-06-30 13:36:56 UTC
This package is on list of packages to drop:
https://lists.fedoraproject.org/archives/list/devel-announce@lists.fedoraproject.org/thread/32JQBGQMHVTKVIBRLTXQJ2OCTRQWKRKS/

I don't think that is necessary. While i686 seems unstable, it should build after few retries.

According to koji this package were last successfully built on f36:
https://koji.fedoraproject.org/koji/packageinfo?packageID=23752

I am quite sure it is not in *THAT* bad shape.

Comment 7 Filip Januš 2023-07-03 11:31:15 UTC
I would propose skipping the entire check phase because it's quite problematic. And I am not able to manage all failing tests within this problematic component.

Comment 8 Petr Menšík 2023-07-12 14:38:54 UTC
Have you actually tried any recent builds? They passed fine few builds in row. Can you just rebuild them as they are for rawhide and f38?

If you would add commit rights to me, I would build them myself. If we have some tests failing often on some architectures, that might suggest real problem with the code. Disabling all checks where there is decent test suite does not seem a good idea to me.

Comment 9 Fedora Update System 2023-07-13 01:27:45 UTC
FEDORA-2023-05cadcf68d has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-05cadcf68d

Comment 10 Fedora Update System 2023-07-13 01:30:55 UTC
FEDORA-2023-05cadcf68d has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.